Bug 604808 - kexec-tools: Output memory usage stats during kdump boot
Summary: kexec-tools: Output memory usage stats during kdump boot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Chao Ye
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 18:48 UTC by Vivek Goyal
Modified: 2013-09-30 02:17 UTC (History)
6 users (show)

Fixed In Version: kexec-tools-2_0_0-100_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 14:45:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to periodically dump memory stats to console (3.78 KB, patch)
2010-06-16 19:29 UTC, Neil Horman
no flags Details | Diff

Description Vivek Goyal 2010-06-16 18:48:26 UTC
Description of problem:

Very often we run into discussion of how much memory is sufficient for kdump kernel and nobody knows and we do guess work.

Neil recently tweaked kdump initrd to run "free" command at some checkpoints to
monitor memory usage as we execute kdump initrd. 

I think we can polish that patch to make it a production environment thing and output "used" and "free" memory stat in kdump kernel at select checkpoints. This should help a user/developer to keep track that whether reserved memory is sufficient or not and also how our memory requirement is growing over time as
we pull in more patches in kernel and do changes to initrd/initramfs infrastructure.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Neil Horman 2010-06-16 19:29:03 UTC
Created attachment 424560 [details]
patch to periodically dump memory stats to console

amerigo, this is completely untested, but I think something like this would satisfy viveks request.

Comment 3 RHEL Product and Program Management 2010-06-16 19:33:01 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Cong Wang 2010-06-17 04:06:09 UTC
Are you sure this is for a real production not a debug version??

In fact, I plan to add some debug option into kdump.conf, so that our developers and QA could use it for debugging.

Comment 5 Neil Horman 2010-06-17 11:03:54 UTC
I'll leave that decision to you.  Vivek thought it would be good to have this data available, and I wrote the patch.  You certainly can gate it with a debug option if you like

I will say that, given everything that gets dumped to the console during boot, I don't think customers would really care if they saw it consistently.

Comment 7 Cong Wang 2010-07-01 02:53:06 UTC
(In reply to comment #5)
> I'll leave that decision to you.  Vivek thought it would be good to have this
> data available, and I wrote the patch.  You certainly can gate it with a debug
> option if you like
> 
> I will say that, given everything that gets dumped to the console during boot,
> I don't think customers would really care if they saw it consistently.    

Okay.

I _wanted_ to add a debug option so that we can debug info during booting the second, however, it seems that msh of busybox doesn't have something like 'set -x', so this will be not necessary any more.

I will directly apply this patch.

Comment 12 Chao Ye 2010-08-11 06:58:43 UTC
Verified with -133.el6:
......
Free memory/Total memory (free %): 227492 / 249652 ( 91.1236 )
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  Found volume group "vg_hpml370g401" using metadata type lvm2
Activating logical volumes
  2 logical volume(s) in volume group "vg_hpml370g401" now active
Free memory/Total memory (free %): 226984 / 249652 ( 90.9202 )
......

Change status to VERIFIED.

Comment 13 releng-rhel@redhat.com 2010-11-11 14:45:44 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.